Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.util
Class DateUtils

    java.lang.Object
      com.ejie.r01f.util.DateUtils

public class DateUtils
extends java.lang.Object

EJIE

Version:
Author:
  IE00165H

Field Summary
`static int` | `LANGUAGE_CASTELLANO`
`static int` | `LANGUAGE_EUSKERA`

Constructor Summary
`DateUtils()` Creates new StringUtils

Method Summary
`static java.lang.String` | `getCurrentDateAsString(int language)` Obtiene la fecha actual como una cadena
`static java.lang.String` | `getCurrentDateAsString(java.lang.String lang)` Devuelve la fecha actual como una cadena
`static long` | `getDateAsMillis(java.util.Date date)` Retorna la fecha en formato long
`static java.lang.String` | `getDateFormated(java.util.Date date, java.lang.String fmt)` Obtiene la fecha formateada.
`static java.util.Date` | `getDateFromFormatedString(java.lang.String dateStr, java.lang.String format)` Obtiene un fecha a partir de una cadena y su formato (Devuelve null si la cadena no puede ser parseada en una fecha) Tambien es posible devolver la fecha a partir de los milisegundos si se pasa el valor "millis" en el parametro format
`static java.util.Date` | `getDateFromLanguageFormatedString(java.lang.String dateStr, java.lang.String lang, java.util.Properties langFormats)` Obtiene una fecha a partir de una cadena y su formato que se obtiene de un properties que contiene todos los formatos en funcion del lenguaje Tambien es posible devolver la fecha a partir de los milisegundos si se pasa el valor "millis" en el parametro format
`static java.util.Date` | `getDateFromMillis(long milis)` Retorna una fecha a partir de un long
`static java.lang.String` | `getDateLanguageFormated(java.util.Date date, java.lang.String lang, java.util.Properties langFormats)` Obtiene una fecha formateada según el idioma Tambien es posible devolver la fecha formateada en milisegundos si se pasa el valor "millis" en el parametro format
`static java.lang.String` | `getLanguageDateFormat(java.lang.String lang, java.util.Properties langFormats)` Obtiene el patrón de formateo de fechas en funcion del lenguaje
`static java.lang.String` | `getTimeStamp()` Obtiene un timeStamp en el formato dd/MM/yyyy [HH:mm:ss:SSS]
`static void` | `main(java.lang.String[] argv)` Metodo main (para probar el temilla...)
`static java.lang.String` | `reformatDateString(java.lang.String dateStr, java.lang.String oldFormat, java.lang.String newFormat)` Reformatea una cadena que contiene una fecha en un formato y la pasa a otro formato
`static java.util.Calendar` | `rollCalendarToMaximum(java.util.Calendar theCal)` Pasa una fecha al maximo, es decir si la fecha suministrada es 25/03/07 11:44:00 pasa a 25/03/07 23:59:999
`static java.util.Calendar` | `rollCalendarToMinimum(java.util.Calendar theCal)` Pasa una fecha al minimo, es decir si la fecha suministrada es 25/03/07 11:44:00 pasa a 25/03/07 00:00:000
`static java.util.Date` | `rollDateToMaximum(java.util.Date date)` Pasa una fecha al maximo, es decir si la fecha suministrada es 25/03/07 11:44:00 pasa a 25/03/07 23:59:999
`static java.util.Date` | `rollDateToMinimum(java.util.Date date)` Pasa una fecha al minimo, es decir si la fecha suministrada es 25/03/07 11:44:00 pasa a 25/03/07 00:00:000

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LANGUAGE_CASTELLANO

    public static final int LANGUAGE_CASTELLANO

See Also:
  Constant Field Values

### LANGUAGE_EUSKERA

    public static final int LANGUAGE_EUSKERA

See Also:
  Constant Field Values

Constructor Detail

### DateUtils

    public DateUtils()

  Creates new StringUtils

Method Detail

### getLanguageDateFormat

    public static java.lang.String getLanguageDateFormat(java.lang.String lang,
                                                         java.util.Properties langFormats)

  Obtiene el patrón de formateo de fechas en funcion del lenguaje

  Parameters:
    `lang` - el lenguaje
    `langFormats` - un mapa con los patrones indexados por idioma En el mapa se pueden poner elementos especiales como "default","def" u "other" que se utilizan en aquellos casos en los que no se encuentra el patrón del lenguaje
  Returns:
    el patrón de formateo en función del lenguaje

### getDateAsMillis

    public static long getDateAsMillis(java.util.Date date)

  Retorna la fecha en formato long

  Parameters:
    `date` - formato dd/mm/yyyy
  Returns:
    la fecha en milis

### getDateFromMillis

    public static java.util.Date getDateFromMillis(long milis)

  Retorna una fecha a partir de un long

  Parameters:
    `milis` - formato numérico
  Returns:
    string dd/mm/yyyy

### getDateFormated

    public static java.lang.String getDateFormated(java.util.Date date,
                                                   java.lang.String fmt)

  Obtiene la fecha formateada. El patron de formato puede tener los siguientes caracteres y -> Año M -> Mes d -> dia Tambien es posible devolver la fecha formateada en milisegundos si se pasa el valor "millis" en el parametro format

  Parameters:
    `date` - la fecha a formatear
    `fmt` - el formato
  Returns:
    la fecha formateada

### getDateLanguageFormated

    public static java.lang.String getDateLanguageFormated(java.util.Date date,
                                                           java.lang.String lang,
                                                           java.util.Properties langFormats)

  Obtiene una fecha formateada según el idioma Tambien es posible devolver la fecha formateada en milisegundos si se pasa el valor "millis" en el parametro format

  Parameters:
    `date` - fecha a formatear
    `lang` - el lenguaje
    `langFormats` - un mapa con los formatos indexados por lenguaje. El mapa puede incluir elementos como "default","def" o "other" que se utilizan en caso de que no se encuentre el lenguaje que se pasa
  Returns:
    la fecha formateada

### getDateFromFormatedString

    public static java.util.Date getDateFromFormatedString(java.lang.String dateStr,
                                                           java.lang.String format)

  Obtiene un fecha a partir de una cadena y su formato (Devuelve null si la cadena no puede ser parseada en una fecha) Tambien es posible devolver la fecha a partir de los milisegundos si se pasa el valor "millis" en el parametro format

  Parameters:
    `dateStr` - la fecha en formato de cadena
    `format` - el formato de la fecha que llega como primer parametro en formato cadena
  Returns:
    la fecha obtenida o null si no se puede obtener la fecha a partir de la cadena y el formato.

### getDateFromLanguageFormatedString

    public static java.util.Date getDateFromLanguageFormatedString(java.lang.String dateStr,
                                                                   java.lang.String lang,
                                                                   java.util.Properties langFormats)

  Obtiene una fecha a partir de una cadena y su formato que se obtiene de un properties que contiene todos los formatos en funcion del lenguaje Tambien es posible devolver la fecha a partir de los milisegundos si se pasa el valor "millis" en el parametro format

  Parameters:
    `dateStr` - la fecha en formato cadena
    `lang` - el lenguaje
    `langFormats` - un objeto `Properties` que contiene los formatos a aplicar para cada lenguaje... en caso de no encontrarse el lenguaje que se pasa, se busca uno llamado "default" u "other"
  Returns:
    la fecha obtenida o null si no se puede obtener la fecha a partir de la cadena y el formato

### reformatDateString

    public static java.lang.String reformatDateString(java.lang.String dateStr,
                                                      java.lang.String oldFormat,
                                                      java.lang.String newFormat)

  Reformatea una cadena que contiene una fecha en un formato y la pasa a otro formato

  Parameters:
    `dateStr` - la fecha en el formato oldFormat
    `oldFormat` - el formato de la fecha que se pasa como parametro
    `newFormat` - el formato al que se quiere formatear la fecha
  Returns:
    la fecha formateada en el nuevo formato

### getTimeStamp

    public static java.lang.String getTimeStamp()

  Obtiene un timeStamp en el formato dd/MM/yyyy [HH:mm:ss:SSS]

  Returns:
    el timestamp en el formato dd/MM/yyyy [HH:mm:ss:SSS]

### getCurrentDateAsString

    public static java.lang.String getCurrentDateAsString(java.lang.String lang)

  Devuelve la fecha actual como una cadena

  Parameters:
    `lang` - El lenguaje es=castellano, eu=euskara
  Returns:
    La fecha formateada

### getCurrentDateAsString

    public static java.lang.String getCurrentDateAsString(int language)

  Obtiene la fecha actual como una cadena

  Parameters:
    `language` - El lenguaje 0=Castellano, 1=Euskara
  Returns:
    La fecha actual como una cadena formateada según el lenguaje

### rollDateToMaximum

    public static java.util.Date rollDateToMaximum(java.util.Date date)

  Pasa una fecha al maximo, es decir si la fecha suministrada es 25/03/07 11:44:00 pasa a 25/03/07 23:59:999

  Parameters:
    `date` - la fecha
  Returns:
    otra fecha en el ultimo mili

### rollDateToMinimum

    public static java.util.Date rollDateToMinimum(java.util.Date date)

  Pasa una fecha al minimo, es decir si la fecha suministrada es 25/03/07 11:44:00 pasa a 25/03/07 00:00:000

  Parameters:
    `date` - la fecha
  Returns:
    otra fecha en el primer mili

### rollCalendarToMaximum

    public static java.util.Calendar rollCalendarToMaximum(java.util.Calendar theCal)

  Pasa una fecha al maximo, es decir si la fecha suministrada es 25/03/07 11:44:00 pasa a 25/03/07 23:59:999

  Parameters:
    `theCal` - la fecha
  Returns:
    otra fecha en el ultimo mili

### rollCalendarToMinimum

    public static java.util.Calendar rollCalendarToMinimum(java.util.Calendar theCal)

  Pasa una fecha al minimo, es decir si la fecha suministrada es 25/03/07 11:44:00 pasa a 25/03/07 00:00:000

  Parameters:
    `theCal` - la fecha
  Returns:
    otra fecha en el primer mili

### main

    public static void main(java.lang.String[] argv)

  Metodo main (para probar el temilla...)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD